\newpage

# Démarche suivie et opportunité(s) de collaboration {#demarche}

TODO: introduction

La réalisation de ce projet va plus loin que la simple mise en place d'une 
application dans le Cloud. C'est une nouvelle équipe, dans un nouvel 
environnement avec une application inconnue et des savoirs à acquérir.

En pareille situation, c'est tout un **écosystème DevOps** qu'il faut mettre
en place.

## Démarche et outils

TODO : compléter

Gitlab, Slack, SemVer, Git OneFlow, Conventional commit, différents environnements

* D'abord une plateforme avec un groupe (gitlab.com/devu42) et un projet principal (`projet`) + base de connaissances (wiki)
* Un domaine devu42.fr pour avoir une adresse courriel (team@devu42.fr) partagée
* Création d'étapes (jalons) progressives : 
  * Étape 1 : préparation - outils (config. gitlab, projets, wiki, etc.), cahier des charges
  * Étape 2 (avec 3) : CI/CD sur le projet principal
  * Étape 3 (avec 2) : Infrastructure (Terraform)
  * Étape 4 (avec 5) : Données (postgreSQL)
  * Étape 5 (avec 4) : Observabilité
  * Étape 6 : extras (si on a le temps)
* Compte-rendus réguliers

### Normes

* SemVer
* Git OneFlow
* Conventional commit

### Environnements

* Développement : chez chaque DEV (Dockerfile + docker-compose du projet lui-même)
* Tests : dans chaque gitlab-runner utilisé, via une CI
* Pré-production (appelé « staging ») : AWS staging
* Production : AWS production

TODO: donner schéma effectué

### Plateforme DevOps

* couvre les principes DevOps
* Github vs. Gitlab ?
* services utilisés&nbsp;: 
  * Tickets
  * Jalons
  * Kanbans
* Base de connaissance collaborative : Wiki sous Gitlab

### Méthodologie

* Méthodologie Agile basique
* Compte-rendus journaliers
* Jalon pour chaque semaine, avec quelques tickets par étapes

## Cas d'une collaboration inter-équipe

TODO : compléter

* réunion avec l'équipe Matrix pour échanger sur nos problématiques principales et nos choix actuels
* échange au sujet de la promotion logicielle avec l'équipe Matrix (Maxime)

TODO : expliquer en quelques lignes que ça a été le cas avec l'équipe Odoo de manière bien plus sporadique (irrégulière)
